- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClpNodeStuff Class Reference

`#include <ClpNode.hpp>`

Collaboration diagram for ClpNodeStuff:

[legend]
List of all members.

## Public Member Functions
Constructors, destructor
| ClpNodeStuff ()
| Default constructor.
virtual | ~ClpNodeStuff ()
| Destructor.
Copy methods (only copies ints etc, nulls arrays)
| ClpNodeStuff (const ClpNodeStuff &)
| The copy constructor.
ClpNodeStuff & | operator= (const ClpNodeStuff &)
| Operator =.
void | zap (int type)
| Zaps stuff 1 - arrays, 2 ints, 3 both.
Fill methods
void | fillPseudoCosts (const double *down, const double *up, const int *numberDown, const int *numberUp, const int *numberDownInfeasible, const int *numberUpInfeasible, int number)
| Fill with pseudocosts.
void | update (int way, int sequence, double change, bool feasible)
| Update pseudo costs.
## Public Attributes
Data
double | integerTolerance_
| Integer tolerance.
double | integerIncrement_
| Integer increment.
double * | downPseudo_
| Down pseudo costs.
double * | upPseudo_
| Up pseudo costs.
int * | numberDown_
| Number of times down.
int * | numberUp_
| Number of times up.
int * | numberDownInfeasible_
| Number of times down infeasible.
int * | numberUpInfeasible_
| Number of times up infeasible.
double * | saveCosts_
| Copy of costs (local).
ClpNode ** | nodeInfo_
| Array of ClpNodes.
ClpSimplex * | large_
| Large model if crunched.
int * | whichRow_
| Which rows in large model.
int * | whichColumn_
| Which columns in large model.
int | nBound_
| Number bounds in large model.
int | saveOptions_
| Save of specialOptions_ (local).
int | solverOptions_
| Options to pass to solver 1 - create external reduced costs for columns 2 - create external reduced costs for rows 4 - create external row activity (columns always done) Above only done if feasible 65536 - set if activated.
int | nDepth_
| Number deep.
int | nNodes_
| Number nodes returned (-1 if fathom aborted).
int | numberNodesExplored_
| Number of nodes explored.
int | numberIterations_
| Number of iterations.
int | presolveType_
| Type of presolve - 0 none, 1 crunch.

## Detailed Description

Definition at line 154 of file ClpNode.hpp.

## Constructor & Destructor Documentation

ClpNodeStuff::ClpNodeStuff | ( |  | ) |

Default constructor.

virtual ClpNodeStuff::~ClpNodeStuff | ( |  | ) | `[virtual]`

Destructor.

ClpNodeStuff::ClpNodeStuff | ( | const ClpNodeStuff & |  | ) |

The copy constructor.

## Member Function Documentation

ClpNodeStuff& ClpNodeStuff::operator= | ( | const ClpNodeStuff & |  | ) |

Operator =.

void ClpNodeStuff::zap | ( | int | type | ) |

Zaps stuff 1 - arrays, 2 ints, 3 both.

void ClpNodeStuff::fillPseudoCosts | ( | const double * | down,
|  | const double * | up,
|  | const int * | numberDown,
|  | const int * | numberUp,
|  | const int * | numberDownInfeasible,
|  | const int * | numberUpInfeasible,
|  | int | number |
| ) |  |  |

Fill with pseudocosts.

void ClpNodeStuff::update | ( | int | way,
|  | int | sequence,
|  | double | change,
|  | bool | feasible |
| ) |  |  |

Update pseudo costs.

## Member Data Documentation

double ClpNodeStuff::integerTolerance_

Integer tolerance.

Definition at line 191 of file ClpNode.hpp.

double ClpNodeStuff::integerIncrement_

Integer increment.

Definition at line 193 of file ClpNode.hpp.

double* ClpNodeStuff::downPseudo_

Down pseudo costs.

Definition at line 195 of file ClpNode.hpp.

double* ClpNodeStuff::upPseudo_

Up pseudo costs.

Definition at line 197 of file ClpNode.hpp.

int* ClpNodeStuff::numberDown_

Number of times down.

Definition at line 199 of file ClpNode.hpp.

int* ClpNodeStuff::numberUp_

Number of times up.

Definition at line 201 of file ClpNode.hpp.

int* ClpNodeStuff::numberDownInfeasible_

Number of times down infeasible.

Definition at line 203 of file ClpNode.hpp.

int* ClpNodeStuff::numberUpInfeasible_

Number of times up infeasible.

Definition at line 205 of file ClpNode.hpp.

double* ClpNodeStuff::saveCosts_

Copy of costs (local).

Definition at line 207 of file ClpNode.hpp.

ClpNode** ClpNodeStuff::nodeInfo_

Array of ClpNodes.

Definition at line 209 of file ClpNode.hpp.

ClpSimplex* ClpNodeStuff::large_

Large model if crunched.

Definition at line 211 of file ClpNode.hpp.

int* ClpNodeStuff::whichRow_

Which rows in large model.

Definition at line 213 of file ClpNode.hpp.

int* ClpNodeStuff::whichColumn_

Which columns in large model.

Definition at line 215 of file ClpNode.hpp.

int ClpNodeStuff::nBound_

Number bounds in large model.

Definition at line 217 of file ClpNode.hpp.

int ClpNodeStuff::saveOptions_

Save of specialOptions_ (local).

Definition at line 219 of file ClpNode.hpp.

int ClpNodeStuff::solverOptions_

Options to pass to solver 1 - create external reduced costs for columns 2 - create external reduced costs for rows 4 - create external row activity (columns always done) Above only done if feasible 65536 - set if activated.

Definition at line 227 of file ClpNode.hpp.

int ClpNodeStuff::nDepth_

Number deep.

Definition at line 229 of file ClpNode.hpp.

int ClpNodeStuff::nNodes_

Number nodes returned (-1 if fathom aborted).

Definition at line 231 of file ClpNode.hpp.

int ClpNodeStuff::numberNodesExplored_

Number of nodes explored.

Definition at line 233 of file ClpNode.hpp.

int ClpNodeStuff::numberIterations_

Number of iterations.

Definition at line 235 of file ClpNode.hpp.

int ClpNodeStuff::presolveType_

Type of presolve - 0 none, 1 crunch.

Definition at line 237 of file ClpNode.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.53.1/Clp/src/ClpNode.hpp